package com.ss.android.ugc.aweme.ml.api;

import X.7aR;
import X.C3665LUa;
import X.C4655LnS;
import com.bytedance.covode.number.Covode;

public abstract class SmartFeedAdUIService implements ISmartFeedAdUIService {
    public static final C4655LnS Companion = new C4655LnS((byte) 0);
    public static final boolean debug = 7aR.LIZ;

    public static final boolean getDebug() {
        return debug;
    }

    public static final ISmartFeedAdUIService instance() {
        return C3665LUa.LIZ;
    }

    static {
        Covode.recordClassIndex(92862);
    }
}
